<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">

<configuration>

    <settings>
        <setting name="cacheEnabled" value="true"/>
        <setting name="lazyLoadingEnabled" value="false"/>
        <setting name="aggressiveLazyLoading" value="false"/>
        <setting name="multipleResultSetsEnabled" value="true"/>
        <setting name="useColumnLabel" value="true"/>
        <setting name="useGeneratedKeys" value="false"/>
        <setting name="autoMappingBehavior" value="PARTIAL"/>
        <setting name="defaultExecutorType" value="SIMPLE"/>
        <setting name="defaultStatementTimeout" value="600"/>
        <setting name="safeRowBoundsEnabled" value="false"/>
        <setting name="mapUnderscoreToCamelCase" value="false"/>
        <setting name="localCacheScope" value="SESSION"/>
        <setting name="jdbcTypeForNull" value="NULL"/>
        <setting name="lazyLoadTriggerMethods" value=""/>
        <setting name="safeResultHandlerEnabled" value="false"/>
    </settings>

    <typeAliases>
        <typeAlias alias="boardPaging" type="com.samsung.board.entity.BoardPaging"/>
        <typeAlias alias="boardPopup" type="com.samsung.board.dto.BoardPopupDto"/>
        <typeAlias alias="board" type="com.samsung.board.entity.Board"/>
        <typeAlias alias="boardClassification" type="com.samsung.board.entity.BoardClassification"/>
        <typeAlias alias="boardColumn" type="com.samsung.board.entity.BoardColumn"/>
        <typeAlias alias="postPaging" type="com.samsung.post.entity.PostPaging"/>
        <typeAlias alias="post" type="com.samsung.post.entity.Post"/>
        <typeAlias alias="comment" type="com.samsung.post.entity.Comment"/>
        <typeAlias alias="menu" type="com.samsung.menu.entity.Menu"/>
        <typeAlias alias="page" type="com.samsung.menu.entity.Page"/>
        <typeAlias alias="api" type="com.samsung.menu.entity.Api"/>
        <typeAlias alias="userMenuAuth" type="com.samsung.menu.entity.UserMenuAuth"/>
        <typeAlias alias="userPageAuth" type="com.samsung.menu.entity.UserPageAuth"/>
        <typeAlias alias="user" type="com.samsung.user.entity.User"/>
        <typeAlias alias="userMenu" type="com.samsung.user.entity.UserMenu"/>
        <typeAlias alias="role" type="com.samsung.role.entity.Role"/>
        <typeAlias alias="userRole" type="com.samsung.role.entity.UserRole"/>
        <typeAlias alias="workgroup" type="com.samsung.workgroup.entity.Workgroup"/>
        <typeAlias alias="workgroupRole" type="com.samsung.workgroup.entity.WorkgroupRole"/>
        <typeAlias alias="workgroupMenu" type="com.samsung.workgroup.entity.WorkgroupMenu"/>
        <typeAlias alias="commCode" type="com.samsung.code.entity.CommCode"/>
        <typeAlias alias="commCodeType" type="com.samsung.code.entity.CommCodeType"/>
        <typeAlias alias="sysUseLog" type="com.samsung.accesslog.entity.SysUseLog"/>
        <typeAlias alias="sysResource" type="com.samsung.common.entity.SysResource"/>
        <typeAlias alias="file" type="com.samsung.resource.entity.AttachFile" />
        <typeAlias alias="fileManagerSearchDto" type="com.samsung.resource.dto.FileManagerSearchDto" />
        <typeAlias alias="menuUsePeriod" type="com.samsung.batch.entity.MenuUsePeriod" />
        <typeAlias alias="knoxDepartment" type="com.samsung.department.entity.KnoxDepartment" />
        <typeAlias alias="knoxDepartmentSync" type="com.samsung.department.entity.KnoxDepartmentSync" />
        <typeAlias alias="customDepartment" type="com.samsung.department.entity.CustomDepartment" />
        <typeAlias alias="departmentMapping" type="com.samsung.department.entity.DepartmentMapping" />
        <typeAlias alias="linkSite" type="com.samsung.linksite.entity.LinkSite" />
        <typeAlias alias="msgSend" type="com.samsung.mail.entity.MsgSend"/>
		<typeAlias alias="msgRcvr" type="com.samsung.mail.entity.MsgRcvr"/>
		<typeAlias alias="mailGroup" type="com.samsung.mail.entity.MailGroup" />
		<typeAlias alias="mailGroupMapp" type="com.samsung.mail.entity.MailGroupMapp" />
		<typeAlias alias="menuUtilization" type="com.samsung.menuutilization.entity.MenuUtilization"/>
        <typeAlias alias="approval" type="com.samsung.approval.entity.Approval" />
        <typeAlias alias="internalApproval" type="com.samsung.approval.entity.InternalApproval" />
        <typeAlias alias="approverDelegate" type="com.samsung.approval.entity.ApproverDelegate" />
        <typeAlias alias="approvalLob" type="com.samsung.approval.entity.ApprovalLob" />
        <typeAlias alias="approvalStep" type="com.samsung.approval.entity.ApprovalStep" />
        <typeAlias alias="dynamicApprovalPath" type="com.samsung.approval.entity.DynamicApprovalPath" />
        <typeAlias alias="requiredApprovalUser" type="com.samsung.approval.entity.RequiredApprovalUser" />
        <typeAlias alias="userSync" type="com.samsung.batch.entity.UserSync" />
        <typeAlias alias="termsUse" type="com.samsung.privacypolicy.entity.TermsUse" />
        <typeAlias alias="userTermsAgree" type="com.samsung.privacypolicy.entity.UserTermsAgree" />
        <typeAlias alias="userTermsAgreeDto" type="com.samsung.privacypolicy.dto.UserTermsAgreeDto" />
		<typeAlias alias="myMenu" type="com.samsung.menu.entity.MyMenu"/>
		<typeAlias alias="htmlTemplate" type="com.samsung.template.entity.HtmlTemplate" />
		<typeAlias alias="htmlTemplateSearchDto" type="com.samsung.template.dto.HtmlTemplateSearchDto" />
		<typeAlias alias="Template" type="com.samsung.template.entity.Template" />
		<typeAlias alias="TemplateSearchDto" type="com.samsung.template.dto.TemplateSearchDto" />
		<typeAlias alias="AdminAddress" type="com.samsung.adminaddress.entity.AdminAddress" />
		<typeAlias alias="AdminAddressSearchDto" type="com.samsung.adminaddress.dto.AdminAddressSearchDto" />
		<typeAlias alias="sendMail" type="com.samsung.knox.mail.vo.SendMail" />
        <typeAlias alias="mailDto" type="com.samsung.knox.mail.dto.MailDto" />
        <typeAlias alias="senderDto" type="com.samsung.knox.mail.dto.SenderDto" />
		<typeAlias alias="recipient" type="com.samsung.knox.mail.vo.Recipient" />
		<typeAlias alias="menuUseHistory" type="com.samsung.history.entity.MenuUseHistory" />
        <typeAlias alias="loginOut" type="com.samsung.loginout.entity.LoginOut" />
    </typeAliases>

    <plugins>
        <plugin interceptor="com.samsung.mybatis.interceptor.MarkedObjectInterceptor"></plugin>
    </plugins>
</configuration>